# Generated by go2rpm
# Needs network
%bcond_with check

# https://github.com/docker/libnetwork
%global goipath         github.com/docker/libnetwork
Version:                0.8.0
%global commit          83d30db53600b9c084d35fb1d560f97f8b34ab24

%gometa

%global common_description %{expand:
Libnetwork provides a native Go implementation for connecting containers.

The goal of libnetwork is to deliver a robust Container Network Model that
provides a consistent programming interface and the required network
abstractions for applications.}

%global golicenses      LICENSE LICENSE-mflag
%global godocs          docs CHANGELOG.md README.md example

Name:           %{goname}
Release:        6.dev.2%{?dist}
Summary:        Native Go implementation for connecting containers

# Upstream license specification: BSD-3-Clause and Apache-2.0
# Main package: ASL 2.0
# client/mflag: BSD
License:        BSD and ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/armon/go-radix)
BuildRequires:  golang(github.com/BurntSushi/toml)
BuildRequires:  golang(github.com/codegangsta/cli)
BuildRequires:  golang(github.com/deckarep/golang-set)
BuildRequires:  golang(github.com/docker/docker/api/types/network)
BuildRequires:  golang(github.com/docker/docker/opts)
BuildRequires:  golang(github.com/docker/docker/pkg/discovery)
BuildRequires:  golang(github.com/docker/docker/pkg/discovery/kv)
BuildRequires:  golang(github.com/docker/docker/pkg/homedir)
BuildRequires:  golang(github.com/docker/docker/pkg/ioutils)
BuildRequires:  golang(github.com/docker/docker/pkg/locker)
BuildRequires:  golang(github.com/docker/docker/pkg/parsers/kernel)
BuildRequires:  golang(github.com/docker/docker/pkg/plugingetter)
BuildRequires:  golang(github.com/docker/docker/pkg/plugins)
BuildRequires:  golang(github.com/docker/docker/pkg/reexec)
BuildRequires:  golang(github.com/docker/docker/pkg/signal)
BuildRequires:  golang(github.com/docker/docker/pkg/stringid)
BuildRequires:  golang(github.com/docker/docker/pkg/term)
BuildRequires:  golang(github.com/docker/go-connections/tlsconfig)
BuildRequires:  golang(github.com/docker/go-events)
BuildRequires:  golang(github.com/docker/libkv)
BuildRequires:  golang(github.com/docker/libkv/store)
BuildRequires:  golang(github.com/docker/libkv/store/boltdb)
BuildRequires:  golang(github.com/docker/libkv/store/consul)
BuildRequires:  golang(github.com/docker/libkv/store/etcd)
BuildRequires:  golang(github.com/docker/libkv/store/zookeeper)
BuildRequires:  golang(github.com/godbus/dbus)
BuildRequires:  golang(github.com/gogo/protobuf/gogoproto)
BuildRequires:  golang(github.com/gogo/protobuf/proto)
BuildRequires:  golang(github.com/gorilla/mux)
BuildRequires:  golang(github.com/hashicorp/memberlist)
BuildRequires:  golang(github.com/hashicorp/serf/serf)
BuildRequires:  golang(github.com/ishidawataru/sctp)
BuildRequires:  golang(github.com/miekg/dns)
BuildRequires:  golang(github.com/opencontainers/runtime-spec/specs-go)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/vishvananda/netlink)
BuildRequires:  golang(github.com/vishvananda/netlink/nl)
BuildRequires:  golang(github.com/vishvananda/netns)
BuildRequires:  golang(golang.org/x/sys/unix)

%if %{with check}
# Tests
BuildRequires:  golang(golang.org/x/sync/semaphore)
BuildRequires:  golang(gotest.tools/assert)
BuildRequires:  golang(gotest.tools/assert/cmp)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
mv client/mflag/LICENSE LICENSE-mflag

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-6.dev.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jul 04 16:02:15 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.0-5.dev.2.20190704git83d30db
- Bump to commit 83d30db53600b9c084d35fb1d560f97f8b34ab24

* Sun May 05 17:15:33 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.0-4.dev.2.20190505git9ff9b57
- Initial package
